import request from "@/utils/request";

//新增地图开始签到接口
export function addStartMap(data) {
  return request.post({
    url: "/crm/jys/app/appVisistMap/Startadd",
    data,
  },{
    isTransformResponse:false
  });
}

//出差打卡接口
export function businessTripClockIn(data) {
  return request.post({
    url: '/crm/jys/app/appVisistMap/businessTripClockIn',
    data
  },{isTransformResponse:false});
}

//新增地图开始打卡接口
export function addStartMapForClockIn(data) {
  return request.post({
    url: "/crm/jys/app/appVisistMap/StartaddForClockIn",
    data,
  },{
    isTransformResponse:false
  });
}

//打卡信息查看
export function CheckInInformationViewing(data) {
  return request.get({
    url: "/crm/app/appVisistMap/DKList",
    data
  },{
    isTransformResponse:false
  });
}

//签到统计
export function getSigninList(data) {
  return request.get({
    url: "/crm/app/appVisistMap/QueryBased",
    data
  },{
    isTransformResponse:false
  });
}

//不签到统计
export function getNoSigninList(data) {
  return request.get({
    url: "/crm/app/appVisistMap/QueryBasedIsNull",
    data
  },{
    isTransformResponse:false
  });
}
